Page MenuHomePhabricator

Change timestamp fields to reduce DB storage size {oryx} [8 pts]
Closed, DeclinedPublic

Description

Currently timestamp fields are stored like varchar(14) on the event logging database. They should be stored as dates.

  • Only need to change MediaWikiTimestamp custom field class? Or maybe just remove that class and replace it with a raw Timestamp
  • Use sqlalchemy bindings for a simpler type

Event Timeline

Nuria created this task.Jan 27 2015, 6:26 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a project: Analytics-EventLogging.
Nuria added subscribers: Nuria, Springle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 6:26 PM
Nuria triaged this task as High priority.Jan 27 2015, 6:30 PM
Nuria set Security to None.

https://mariadb.com/kb/en/mariadb/datetime/
https://mariadb.com/kb/en/mariadb/timestamp/

Both are more compact and efficient than the current 14 byte fields, so either is fine. Maybe microseconds could be a concern for you guys in the future?

All servers use UTC and no conversion of dates is done server-side, so any timezone considerations are left to the app.

ggellerman renamed this task from Change timestamp fields to reduce DB storage size to Change timestamp fields to reduce DB storage size [8 pts].Feb 2 2015, 5:43 PM
kevinator updated the task description. (Show Details)Feb 2 2015, 5:45 PM
ggellerman renamed this task from Change timestamp fields to reduce DB storage size [8 pts] to Change timestamp fields to reduce DB storage size [5 pts].Feb 2 2015, 5:52 PM
ggellerman renamed this task from Change timestamp fields to reduce DB storage size [5 pts] to Change timestamp fields to reduce DB storage size [8 pts].
mforns claimed this task.Feb 9 2015, 8:16 PM
mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Feb 26 2015, 3:09 PM
kevinator lowered the priority of this task from High to Normal.Mar 12 2015, 3:23 PM
kevinator renamed this task from Change timestamp fields to reduce DB storage size [8 pts] to Change timestamp fields to reduce DB storage size {oryx} [8 pts].Apr 27 2015, 4:14 PM
kevinator closed this task as Declined.

We are moving EL to Kafka and Cluster... this won't be a problem there. Canceling task.

kevinator moved this task from Paused to Done on the Analytics-Kanban board.Apr 27 2015, 11:59 PM